org.apache.ignite.internal.processors.streamer

## Class GridStreamerExecutionRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.streamer.GridStreamerExecutionRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridStreamerExecutionRequest
    extends Object
    implements Message

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridStreamerExecutionRequest()`
`GridStreamerExecutionRequest(boolean forceLocDep, byte[] batchBytes, DeploymentMode depMode, String sampleClsName, String userVer, Map<UUID,IgniteUuid> ldrParticipants, IgniteUuid clsLdrId)`

### Method Summary

Methods
`byte[]` `batchBytes()`
`IgniteUuid` `classLoaderId()`
`DeploymentMode` `deploymentMode()`
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`boolean` `forceLocalDeployment()`
`Map<UUID,IgniteUuid>` `loaderParticipants()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `sampleClassName()`
`String` `toString()`
`String` `userVersion()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridStreamerExecutionRequest

    public GridStreamerExecutionRequest()

#### GridStreamerExecutionRequest

    public GridStreamerExecutionRequest(boolean forceLocDep,
                                byte[] batchBytes,
                                @Nullable
                                DeploymentMode depMode,
                                @Nullable
                                String sampleClsName,
                                @Nullable
                                String userVer,
                                @Nullable
                                Map<UUID,IgniteUuid> ldrParticipants,
                                @Nullable
                                IgniteUuid clsLdrId)

Parameters:
  `forceLocDep` - Force local deployment flag.
  `batchBytes` - Batch serialized bytes.
  `depMode` - Deployment mode.
  `sampleClsName` - Sample class name.
  `userVer` - User version.
  `ldrParticipants` - Loader participants.
  `clsLdrId` - Class loader ID.

### Method Detail

#### forceLocalDeployment

    public boolean forceLocalDeployment()

Returns:
  Force local deployment flag.

#### deploymentMode

    public DeploymentMode deploymentMode()

Returns:
  Deployment mode.

#### sampleClassName

    public String sampleClassName()

Returns:
  Deployment sample class name.

#### userVersion

    public String userVersion()

Returns:
  Deployment user version.

#### loaderParticipants

    public Map<UUID,IgniteUuid> loaderParticipants()

Returns:
  Node class loader participants.

#### classLoaderId

    public IgniteUuid classLoaderId()

Returns:
  Class loader ID.

#### batchBytes

    public byte[] batchBytes()

Returns:
  Serialized batch in case if P2P class loading is enabled.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015